import sys

# get name parameter
name = sys.argv[1]

# open output files
out1 = open("annotree_tmp/accession2gtdb_id.tsv", "w")
out2 = open("annotree_tmp/prot_seqs_{}.faa".format(name), "w")

# reads each individual protein_sequence database entry and processes it
while True:
    try:
        line = input()
    except EOFError:
        break

    gene_id, gtdb_id, seq = line.strip().split("\t")
    accession = "{}__{}".format(gene_id, gtdb_id)       # accession is always combination of gene_id and gtdb_id
    accession = accession.replace(".", "_")             # replace dots to avoid unwanted splits by MEGAN

    out1.write("{}\t{}\n".format(accession, gtdb_id))
    out2.write(">{}\n{}\n".format(accession, seq))

# close files
out1.close()
out2.close()

